<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('payments', function (Blueprint $table) {
            $table->id();
            $table->enum('payment_status', ['pending', 'failed', 'success']);
            $table->float('amount_payment');
            $table->enum('payment_method', ['online', 'offline']);
            $table->String('bank');
            $table->string('no_va');
            $table->dateTime('expired_at');
            $table->foreignId('santri_id')->constrained('santris')->onDelete('cascade');
            $table->foreignId('wallet_id')->constrained('wallets')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('payments');
    }
};
